=== debian/changelog ===
tiger (3.2rc3-3) experimental; urgency=low

  * Added -q option to be used when running tigercron

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Sat, 26 Apr 2003 13:41:35 +0200

tiger (3.2rc3-2) experimental; urgency=low

  * Fixed cron to tigercon in the cron.d file

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 23 Apr 2003 22:02:07 +0200

tiger (3.2rc3-1) experimental; urgency=low

  * New release candidate. 

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 23 Apr 2003 13:30:32 +0200

tiger (3.2rc2-1) experimental; urgency=low

  * Experimental version, fixes bugs but might introduce new ones.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 21 Apr 2003 17:57:40 +0200

tiger (3.2rc1-1) experimental; urgency=low
  * New upstream version 
     - False positives in services fixed (Closes: #132278)
     - Check_exports produces proper output (Closes: #162453)
     - Checks have been separated, now each check file prints it's
       comment (Closes: #165766)
     - Using the new ignore mechanism (better than the differential
       mechanism) this package now provides a baseline for Debian GNU/Linux, 
       hopefully this will make Matt test again this package :-) 
       (Closes: #164308, #172375)
     - The new ignore mechanism can now be used to avoid false positives,
       please customize as needed and read the notes on the 
       check_listeningprocs script (Closes: #136991)
     - Tigexp now gets modified by the Makefile (Closes: #189864)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed, 16 Apr 2003 00:29:45 +0200

tiger (3.1-5) unstable; urgency=low

  * Included some of the changes that will be in the next Tiger release
  * Config now sets the locale to POSIX (just in case it breaks some tests)
  * Check_listeningprocs now works with multiple program names (Closes: #164898)
  * Recovered the fixes from 3.0-2 which has made an old bug surface 
    (Closes: #164307, #166176, #166744)
  * Updated to latest advisories
  * Removed debugging output from systems/Linux/2/check_neverlogin

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 28 Oct 2002 17:51:03 +0100

tiger (3.1-4) unstable; urgency=medium

  * Fixed LOGDIR in tigercron.in which was making templates not work.
  * Remove all the /var/log/tiger* files.. sorry for the mess :(
  * Added a new configuration note in order to ask the user for the
  removal of the previous files instead of removing them without asking.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Mon, 14 Oct 2002 15:30:03 +0200

tiger (3.1-3) unstable; urgency=low

  * Removed DSA update in the package build (Closes: #164216)
  * Updated to latest DSAs

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Fri, 11 Oct 2002 09:09:43 +0200

tiger (3.1-2) unstable; urgency=low

  * Added Build-Depends on autoconf since it's the only new thing
  for building that has been included upstream. (Closes: #163969)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 10 Oct 2002 12:48:25 +0200

tiger (3.1-1) unstable; urgency=low

  * New upstream release which includes some fixes for Debian bugs
  such as the "don't regenerate index" (Closes: #162590)
  * Made debian/rules update automatically the advisories file (which
  is now named debian_advisories so the previous chmod -x is not needed)
  * Automatically remove CVS dirs from the package (Closes: #154343)
  * Fixed bashisms in check_rcumask (Closes: #159444)
  * Changed check_passwd to not send false positives in Debian, it should
  be fixed, however to support PAM too (Closes: #162593)
  * Updated DSAs are now available

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Thu, 25 Jul 2002 19:37:41 +0200

tiger (3.0-3) unstable; urgency=low

  * Updated to latest advisories.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Wed,  7 Aug 2002 10:33:47 +0200

tiger (3.0-2) unstable; urgency=low

  * Changed Linux' config file so that it sets LSGROUPS to nothing
  Due to a change in fileutils-4.1.1 which changed the standard
  behavior from "showing groups (but really doing nothing)" to
  "not showing the owner" ! (Closes: #155588)
  * Modified config to set the environment properly (this was the
  first workaround I tried for the previous bug, didn't fix it but
  it seems better to leave the locale's environment, just in case...)

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue,  6 Aug 2002 17:06:01 +0200

tiger (3.0-1) unstable; urgency=low

  * New upstream release (based on savannah sources)
  * Fix in order for deb_checkmd5sums to work with all sources (it was
    limited due to a stupid bug)
  * Included latest DSA advisories
  * The new package provides a *very* short diff since changes regarding
  Debian are added to the upstream sources too.

 -- Javier Fernandez-Sanguino Pen~a <jfs@computer.org>  Tue, 18 Jun 2002 13:28:18 +0200

tiger (2.2.4p2-5) unstable; urgency=low

  * Added a GPL header to all the important scripts/files used by the
    program (this means /, /scripts and /systems/{default,Linux}.
    This was a requirement for adding tiger as a new project to the
    savannah site.
    (probably next upstream version and Debian diff file will be 
    reduced since I intend to make the current Debian codebase 
    upstream's 2.2.4p3)
  * Added a new check scripts/check_runprocs (not currently configured to
    run since it needs sysadmin to configure tigerrc properly to determine
    which processes should be checked for)
  * Added some more information to the README.Debian file and rewrote
    some paragraphs.
  * Written some notes on how to use Tiger as a host IDS.
  * Chmod'ed many scripts in order to avoid lintian warnings.
  * Changed tiger so it first reads tigerrc in the local directory 
  (useful for testing the package without installing or to use the tar.gz
  in other environments)
  * Fixed the scripts/check_anon in order to test if ftphome/etc/passwd

